function BalanceController(templateManager, BalanceService, LoginRepository) {

    /* Gets the client's current balance for all the families. */
    this.getBalance = function(grid) {
        templateManager.container.getWidget('saldo').dataSource.data = [];
        LoginRepository.findOne().then(function (consumerData){
            BalanceService.getBalance(consumerData['CDCLIENTE'], consumerData['CDCONSUMIDOR'], consumerData['CDFILIAL']).then(function (consumerBalance){
                templateManager.container.getWidget('saldo').dataSource.data = consumerBalance;
                grid.reload();
                templateManager.updateTemplate();
            });
        });
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('BalanceController', BalanceController);
});
