function LoginService(Query, TestConnection, ClientsRepository, LoginRepository, ForgotPasswordRepository, SetPasswordRepository, BuscaBandeirasesitefRepo, LogoffRepository, LayoutRepo) {

    this.testConnection = function(version){
        var query = Query.build()
                        .where('version').equals(version);
        return TestConnection.download(query);
    };

    this.getClients = function(){
        var query = Query.build();
        return ClientsRepository.download(query);
    };

    this.login = function(client, username, password, filial){
        var query = Query.build()
                        .where('client').equals(client)
                        .where('username').equals(username)
                        .where('password').equals(password)
                        .where('filial').equals(filial);
        return LoginRepository.download(query);
    };

    this.forgotPassword = function(CDCLIENTE, NMLOGINCONS, appUrl, logoEmpresa){
        var query = Query.build()
                    .where('CDCLIENTE').equals(CDCLIENTE)
                    .where('NMLOGINCONS').equals(NMLOGINCONS)
                    .where('appUrl').equals(appUrl)
                    .where('logoEmpresa').equals(logoEmpresa);
        return ForgotPasswordRepository.download(query);
    };

    this.setPassword = function(CDCLIENTE, NMLOGINCONS, newPassword, CDFILIAL){
        //NMLOGINCONS = NMLOGINCONS.replace(/^[0]+/g, "");
        var query = Query.build()
                    .where('CDCLIENTE').equals(CDCLIENTE)
                    .where('NMLOGINCONS').equals(NMLOGINCONS)
                    .where('newPassword').equals(newPassword)
                    .where('CDFILIAL').equals(CDFILIAL);
        return SetPasswordRepository.download(query);
    };

    this.loadBandeirasEsiTef = function(CDFILIAL) {
         var query = Query.build()
                        .where('CDFILIAL').equals(CDFILIAL);
        return BuscaBandeirasesitefRepo.download(query);
    };

    this.logoff = function(){
        var query = Query.build();
        return LogoffRepository.download(query);
    };

    this.getLayoutConfig = function(CDCLIENTE, CDTIPOCONS, CDFILIAL){
        var query = Query.build()
                    .where('CDCLIENTE').equals(CDCLIENTE)
                    .where('CDTIPOCONS').equals(CDTIPOCONS)
                    .where('CDFILIAL').equals(CDFILIAL);
        return LayoutRepo.download(query);
    }

};

Configuration(function(ContextRegister) {
    ContextRegister.register('LoginService', LoginService);
});